Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Interface CatalogRequest

All Known Implementing Classes:
  CatalogRequestImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface CatalogRequest

This interface is the common input record to catalog services that return catalog data. It contains everything required to resolve a catalog request to catalog content.

Field Summary
`static int` | `ADMINISTRATION` Deprecated See BEA Commerce product offering
`static int` | `DEFAULT_USE` Deprecated See BEA Commerce product offering

Method Summary
`int` | `getAuthorization()` Deprecated See BEA Commerce product offering
`String` | `getLanguage()` Deprecated See BEA Commerce product offering
`boolean` | `getShowAll()` Deprecated See BEA Commerce product offering
`boolean` | `hasAuthorization(int authorizationCode)` Deprecated See BEA Commerce product offering
`void` | `setLanguage(String language)` Deprecated See BEA Commerce product offering
`void` | `setShowAll(boolean showAll)` Deprecated See BEA Commerce product offering

Field Detail

### DEFAULT_USE

    static final int DEFAULT_USE

  Deprecated See BEA Commerce product offering
  Authorization bit-field constant for end-user use of the catalog.

  See Also
    Constants Summary

### ADMINISTRATION

    static final int ADMINISTRATION

  Deprecated See BEA Commerce product offering
  Authorization bit-field constant for administrator use of the catalog.

  See Also
    Constants Summary

Method Detail

### getLanguage

    String getLanguage()

  Deprecated See BEA Commerce product offering

  Returns
    the language associated with the catalog request or null if this request (or catalog) is language unaware.

### setLanguage

    void setLanguage(String language)

  Deprecated See BEA Commerce product offering

  Sets the language associated with the catalog request or null if this request (or catalog) is language unaware.

  Parameters
    `language` - the language attribute to use.

### getShowAll

    boolean getShowAll()

  Deprecated See BEA Commerce product offering

  Returns
    whether to retrieve all catalog items, irrespective of whether they have been marked as invisible.

### setShowAll

    void setShowAll(boolean showAll)

  Deprecated See BEA Commerce product offering

  Sets the visibility attribute for this catalog request. if the showAll attribute is true all items will be returned irrespective of item visiblity. By default end-user catalog requests have showAll set to false and administrator catalog requests have showAll set to true. return the showAll attribute

### getAuthorization

    int getAuthorization()

  Deprecated See BEA Commerce product offering

  Gets the authorization bit-field for this catalog request.

### hasAuthorization

    boolean hasAuthorization(int authorizationCode)

  Deprecated See BEA Commerce product offering

  Returns
    true if the current catalog request has the required authorization: one of DEFAULT_USE or ADMINISTRATION.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved